// aus: Guido Krüger, Thomas Stark: Handbuch der Java-Programmierung,
//      5. Auflage 2007 (HTML-Version)

import java.awt.*;
import java.awt.event.*;

public class MouseEvents1 extends Frame {

   public MouseEvents1() {
      super("Mausklicks");
      addMouseListener(new MyMouseListener());

      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            setVisible(false);
            dispose();
            System.exit(0);
         }
      } );
}

   class MyMouseListener extends MouseAdapter {
      int cnt = 0;

      public void mousePressed(MouseEvent event) {

         if (event.getClickCount() == 1) {
            System.out.println("Einen Mausklick gemacht") ;
         }

         if (event.isMetaDown()) {
            System.out.println("Einen rechten Mausklick gemacht") ;
         }
         
         if (event.getClickCount() == 2) {
            System.out.println("Einen Doppelklick gemacht") ;
         }

         System.out.println("Mousebutton gedrückt: " + event.getButton()) ;
//         System.out.println("Modifier Mask: " + event.getModifiers()) ;
      }
   }
   public static void main(String[] args) {
      MouseEvents1 wnd = new MouseEvents1();
      wnd.setSize(300,200);
      wnd.setLocation(200,100);
      wnd.setVisible(true);
   }
}