// aus: Guido Krger, Thomas Stark: Handbuch der Java-Programmierung,
//      5. Auflage 2007 (HTML-Version)

import java.awt.*;
import java.awt.event.*;

public class MouseMotionEvents1 extends Frame {
   private Rectangle actrect;

   public MouseMotionEvents1() {
      super("Mausklicks");
      addMouseListener(new MyMouseListener());
      addMouseMotionListener(new MyMouseMotionListener());

      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            setVisible(false);
            dispose();
            System.exit(0);
         }
      } );

   }

   public void paint(Graphics g) {
      System.out.println("Paint aufgerufen");
   }

   class MyMouseListener extends MouseAdapter {
      int cnt = 0;

      public void mousePressed(MouseEvent event) {
         System.out.println("Einen Maustaste gedrckt") ;
      }

      public void mouseReleased(MouseEvent event) {
         System.out.println("Einen Maustaste los gelassen") ;
      }
   }
   
   class MyMouseMotionListener extends MouseMotionAdapter {
      public void mouseDragged(MouseEvent event) {
         System.out.println("Niedergedrckte Maus bewegt");
      }
   }

   public static void main(String[] args) {
      MouseMotionEvents1 wnd = new MouseMotionEvents1();
      wnd.setSize(300,200);
      wnd.setLocation(200,100);
      wnd.setVisible(true);
   }
}